#open data/manifold-contracts-20240706.json and load first 5 items
import json
with open('manifold-contracts-20240706.json', 'r') as f:
    data = json.load(f)
#counts of unique outcomeType
outcomeTypes = {}
for contract in data:
    outcomeType = contract['outcomeType']
    if outcomeType in outcomeTypes:
        outcomeTypes[outcomeType] += 1
    else:
        outcomeTypes[outcomeType] = 1
        print(contract)
        print()
print(outcomeTypes)